Subject: Re: Output of git checkout goes to stderr

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Jul 2024 08:45:36 -0700

Sayooj Surendran <[email-masked]> writes:

> Noticed that the output of git checkout command is going to stderr
> channel. Is this an intended behaviour?

Show messages meant for human consumptions (not just errors and
warnings, but informational messages and eye-candy progress bars) to
the standard error stream, and using the standard output stream to
show what informational commands are asked to produce (e.g. running
"git status" would describe the status of the current working tree
to the standard output stream), is very much in line with the
original design we laid out in 2005 when Git was still very young,
and continues to be "intended" behaviour to this day.